ParserResultObject
Date: 2012-10-10

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convertDXSingleSpeed
Class ParserResultObject

    java.lang.Object
      convertDXSingleSpeed.ParserResultObject

    public class ParserResultObject

extends java.lang.Object

This class records and prints all dx single speed cooling coils found in an input file.

### License agreement

The use of this program is subjected to the following license terms.

Constructor Summary
`ParserResultObject()`

Method Summary
`double` | `cardinalDXSingleSpeedsDuplicatesFile(java.lang.String fileName)` This method returns the number of duplicated DXSingleSpeed found in an input file.
`void` | `dxSingleSpeedsDuplicates(java.lang.String fileName)` This method finds duplicated DXSingleSpeed in the input file and print them in an output file.
`static java.util.ArrayList<java.lang.String>` | `removeDuplicates(java.util.ArrayList<java.lang.String> arlList)` This method removes duplicates from an array list.
`static java.util.ArrayList<java.lang.String>` | `saveDuplicates(java.util.ArrayList<java.lang.String> arlList)` This method saves duplicates found in an array list.
`void` | `setFoundDXSingleSpeeds(java.util.ArrayList<DXSingleSpeed> foundDXSingleSpeeds)` This method sets the found dx single speed coils in an array.
`void` | `toMoDXSingleSpeedsFile(java.lang.String fileName)` This method prints all DXSingleSpeed in an output file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserResultObject

    public ParserResultObject()

Method Detail

### setFoundDXSingleSpeeds

    public void setFoundDXSingleSpeeds(java.util.ArrayList<DXSingleSpeed> foundDXSingleSpeeds)

  This method sets the found dx single speed coils in an array.

  Parameters:
    `foundDXSingleSpeeds` - array list of DXSingleSpeeds.

### dxSingleSpeedsDuplicates

    public void dxSingleSpeedsDuplicates(java.lang.String fileName)
                                  throws java.io.IOException

  This method finds duplicated DXSingleSpeed in the input file and print them in an output file.

  Parameters:
    `fileName` - the EnergyPlus idf file name.
  Throws:
    `java.io.IOException` - when problems occur during file access.

### toMoDXSingleSpeedsFile

    public void toMoDXSingleSpeedsFile(java.lang.String fileName)
                                throws java.io.IOException

  This method prints all DXSingleSpeed in an output file.

  Parameters:
    `fileName` - the EnergyPlus idf file name.
  Throws:
    `java.io.IOException` - when problems occur during file access.

### cardinalDXSingleSpeedsDuplicatesFile

    public double cardinalDXSingleSpeedsDuplicatesFile(java.lang.String fileName)

  This method returns the number of duplicated DXSingleSpeed found in an input file.

  Parameters:
    `fileName` - the EnergyPlus idf file name.
  Returns:
    number of duplicates.

### saveDuplicates

    public static java.util.ArrayList<java.lang.String> saveDuplicates(java.util.ArrayList<java.lang.String> arlList)

  This method saves duplicates found in an array list.

  Parameters:
    `arlList` - array list with duplicated entries.
  Returns:
    new array list with found duplicates.

### removeDuplicates

    public static java.util.ArrayList<java.lang.String> removeDuplicates(java.util.ArrayList<java.lang.String> arlList)

  This method removes duplicates from an array list.

  Parameters:
    `arlList` - array list with duplicated entries.
  Returns:
    new array list without duplicates.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD